### Method

# Gtk Notebookinsert_page_menu

#### Declaration [src]

    int
    gtk_notebook_insert_page_menu (
      GtkNotebook* notebook,
      GtkWidget* child,
      GtkWidget* tab_label,
      GtkWidget* menu_label,
      int position
    )

#### Description [src]

Insert a page into `notebook` at the given position, specifying the widget to use as the label in the popup menu.

#### Parameters

`child`

  Type: `GtkWidget`

  The `GtkWidget` to use as the contents of the page.

  The data is owned by the caller of the method.

`tab_label`

  Type: `GtkWidget`

  The `GtkWidget` to be used as the label for the page, or `NULL` to use the default label, “page N”

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`menu_label`

  Type: `GtkWidget`

  The widget to use as a label for the page-switch menu, if that is enabled. If `NULL`, and `tab_label` is a `GtkLabel` or `NULL`, then the menu label will be a newly created label with the same text as `tab_label`; if `tab_label` is not a `GtkLabel`, `menu_label` must be specified if the page-switch menu is to be used.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`position`

  Type: `int`

  The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

#### Return value

Type: `int`

The index (starting from 0) of the inserted page in the notebook.